# UI-Router for Angular &nbsp;[![Build Status](https://travis-ci.org/ui-router/angular.svg?branch=master)](https://travis-ci.org/ui-router/angular)

### @uirouter/angular: State based routing for Angular (v2+)

---

**[Tutorials](https://ui-router.github.io/tutorials/)** |
**[API Docs](https://ui-router.github.io/ng2/docs/latest/)** |
**[Guides](https://ui-router.github.io/guide)** |
**[Sample App](http://ui-router.github.io/resources/sampleapp/) |**
**[Report an Issue](https://github.com/ui-router/ng2/blob/master/CONTRIBUTING.md#report-an-issue) |**
**[Contribute](https://github.com/ui-router/ng2/blob/master/CONTRIBUTING.md#contribute) |**
**[Help!](http://stackoverflow.com/questions/ask?tags=@uirouter/angular)**

---

@uirouter/angular is a client-side [Single Page Application](https://en.wikipedia.org/wiki/Single-page_application)
routing framework for [Angular](http://angular.io).

Routing frameworks for SPAs update the browser's URL as the user navigates through the app. Conversely, this allows
changes to the browser's URL to drive navigation through the app, thus allowing the user to create a bookmark to a
location deep within the SPA.

UI-Router applications are modeled as a hierarchical tree of states. UI-Router provides a
[_state machine_](https://en.wikipedia.org/wiki/Finite-state_machine) to manage the transitions between those
application states in a transaction-like manner.

## Get Started

- [UI-Router for Angular 2](https://ui-router.github.io/ng2)

## Reporting issues and Contributing

Please read our [Contributor guidelines](CONTRIBUTING.md) before reporting an issue or creating a pull request.
